#
# spec file for package python-multipledispatch
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-multipledispatch
Version:        1.0.0
Release:        1.1
Summary:        Multiple dispatch in Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://multiple-dispatch.readthedocs.io/
Source:         https://github.com/mrocklin/multipledispatch/archive/%{version}.tar.gz
BuildRequires:  %{python_module pytest-benchmark}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A relatively sane approach to multiple dispatch in Python.

This implementation of multiple dispatch is mostly complete,
performs static analysis to avoid conflicts, and provides optional namespace
support.

%prep
%autosetup -n multipledispatch-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/multipledispatch*

%changelog
* Thu Sep 14 2023 pgajdos@suse.com
- version update to 1.0.0
  * no upstream changelog
- python-six is not required
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- add missing six dependency
* Fri Apr 12 2019 pgajdos@suse.com
- version update to 0.6.0
  * no upstream changelog
- turn testsuite on
- deleted sources
  - LICENSE.txt (not needed)
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Jun  7 2018 jengelh@inai.de
- Ensure neutrality of description.
* Thu May  3 2018 toddrme2178@gmail.com
- Add license file
- Use %%license tag
* Sun Mar 11 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.5.0:
  * ENH: optimize import times (#66)
  * Switch testing to pytest add benchmark test (#70)
  * support PEP484 function argument annotation (#65)
  * setup.py improvements (#62)
  * Convert readthedocs links for their .org -> .io migration for
    hosted projects (#61)
* Thu May 11 2017 toddrme2178@gmail.com
- Implement single-spec version
- Fix source URL.
- Update to 0.4.9
  * No upstream changelog
* Fri Jul 10 2015 toddrme2178@gmail.com
- Update to 0.4.8
  * No upstream changelog
* Thu Sep  4 2014 toddrme2178@gmail.com
- Initial version
